### Method

# Ide EditorAddin page_set

#### Declaration

    void
    ide_editor_addin_page_set (
      IdeEditorAddin* self,
      IdePage* page
    )

#### Description

This function is called when the current page has changed in the editor surface. This could happen when the user focus another page, either with the keyboard, mouse, touch, or by opening a new buffer.

Note that `page` may not be an `IdeEditorView`, so consumers of this interface should take appropriate action based on the type.

When the last page is removed, `page` will be `NULL` to indicate to the addin that there is no active page.

Available since: | 3.32

#### Parameters

`page` | `IdePage`
| An `IdePage` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.